import request from "@/utils/request";

export function addApp(params) {
    return request({
        url: "/api/v1/evm_store/apps/add",
        method: "post",
        data: params,
    });
}

export function getAppsList(params) {
    return request({
        url: "/api/v1/evm_store/apps/list",
        method: "post",
        data: params,
    });
}

export function updateApp(id, params) {
    return request({
        url: `/api/v1/evm_store/apps/update/${id}`,
        method: "post",
        data: params,
    });
}

export function deleteApp(id) {
    return request({
        url: `/api/v1/evm_store/apps/delete/${id}`,
        method: "post",
    });
}

export function getBuildApp(id) {
    return request({
        url: `/api/v1/evm_store/apps/getBuildApp/${id}`,
        method: "post"
    })
}

export function buildApp(id) {
    return request({
        url: `/api/v1/evm_store/apps/build/${id}`,
        method: "post",
    });
}

export function getBuildLogsList(params) {
    return request({
        url: "/api/v1/evm_store/apps/buildLogs",
        method: "post",
        data: params,
    });
}

export function getFrameworkList(params) {
    return request({
        url: "/api/v1/evm_store/framework/list",
        method: "post",
        data: params,
    });
}

export function addFramework(params) {
    return request({
        url: "/api/v1/evm_store/framework/add",
        method: "post",
        data: params,
    });
}

export function updateFramework(id, params) {
    return request({
        url: `/api/v1/evm_store/framework/update/${id}`,
        method: "post",
        data: params,
    });
}

export function deleteFramework(params) {
    return request({
        url: "/api/v1/evm_store/framework/delete",
        method: "post",
        data: params,
    });
}

export function getDownloadList(params) {
    return request({
        url: "/api/v1/evm_store/download/list",
        method: "post",
        data: params,
    });
}

export function addDownload(params) {
    return request({
        url: "/api/v1/evm_store/download/add",
        method: "post",
        data: params,
    });
}

export function updateDownload(id, params) {
    return request({
        url: `/api/v1/evm_store/download/update/${id}`,
        method: "post",
        data: params,
    });
}

export function deleteDownload(params) {
    return request({
        url: "/api/v1/evm_store/framework/delete",
        method: "post",
        data: params,
    });
}
